"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  TKTRError: () => TKTRError,
  formatAmountForDisplay: () => formatAmountForDisplay,
  formatAmountForStripe: () => formatAmountForStripe,
  itemsFactory: () => itemsFactory,
  storeFactory: () => storeFactory
});
module.exports = __toCommonJS(src_exports);

// src/utils/error.ts
var tktrErrors = {
  INVALID_COMMAND: 400,
  INVALID_ITEM: 400,
  CREATE_CHECKOUT_SESSION_FAILED: 500,
  RETRIEVE_CHECKOUT_SESSION_FAILED: 500,
  NOT_IMPLEMENTED: 501
};
var TKTRError = class extends Error {
  status;
  constructor(code) {
    super(code);
    this.status = tktrErrors[code];
  }
  toResponse() {
    return new Response(JSON.stringify(
      { message: this.message }
    ), { status: this.status });
  }
};

// src/utils/stripe-helpers.ts
function formatAmountForDisplay(amount, currency) {
  let numberFormat = new Intl.NumberFormat(["en-US"], {
    style: "currency",
    currency,
    currencyDisplay: "symbol"
  });
  return numberFormat.format(amount);
}
function formatAmountForStripe(amount, currency) {
  let numberFormat = new Intl.NumberFormat(["en-US"], {
    style: "currency",
    currency,
    currencyDisplay: "symbol"
  });
  const parts = numberFormat.formatToParts(amount);
  let zeroDecimalCurrency = true;
  for (let part of parts) {
    if (part.type === "decimal") {
      zeroDecimalCurrency = false;
    }
  }
  return zeroDecimalCurrency ? amount : Math.round(amount * 100);
}

// src/store.ts
function storeFactory(baseConfig) {
  return baseConfig;
}
function itemsFactory(items) {
  return items;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  TKTRError,
  formatAmountForDisplay,
  formatAmountForStripe,
  itemsFactory,
  storeFactory
});
